Lift min_not_zero to dm.h
--- diff/drivers/md/dm-table.c	2004-01-23 13:01:54.000000000 +0000
+++ source/drivers/md/dm-table.c	2004-01-27 15:52:23.000000000 +0000
@@ -70,11 +70,6 @@
 }
 
 /*
- * Returns the minimum that is _not_ zero, unless both are zero.
- */
-#define min_not_zero(l, r) (l == 0) ? r : ((r == 0) ? l : min(l, r))
-
-/*
  * Combine two io_restrictions, always taking the lower value.
  */
 static void combine_restrictions_low(struct io_restrictions *lhs,
--- diff/drivers/md/dm.h	2003-12-29 10:16:45.000000000 +0000
+++ source/drivers/md/dm.h	2004-01-27 15:52:18.000000000 +0000
@@ -187,6 +187,11 @@
 }
 
 /*
+ * Returns the minimum that is _not_ zero, unless both are zero.
+ */
+#define min_not_zero(l, r) (l == 0) ? r : ((r == 0) ? l : min(l, r))
+
+/*
  * The device-mapper can be driven through one of two interfaces;
  * ioctl or filesystem, depending which patch you have applied.
  */
